Open Infrastructure - Task #7553
Task # 7284 (Closed): router1.place6 phase back in

Setup conntrackd to allow active active firewalls
01/02/2020 12:50 PM - Nico Schottelius

Status: Rejected Start date: 01/02/2020
Priority: Low Due date:

Assignee: Timothée Floure % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

e So that firewall rules still work with state tracking

Change of objective: get this running on two IPv6 only Alpine VMs first and then we migrate it to the routers

History

#1 - 01/02/2020 12:59 PM - Nico Schottelius

- Subject changed from Setup conntrackd to Setup conntrackd to allow active active firewalls

router2.place6:
[12:48:38] router2.placeb:~# apt install conntrackd

router1.place6

[12:50] routerl.place6:~# apk add conntrack-tools

[12:56] routerl.place6:~# modprobe nf_conntrack
[12:56] routerl.place6:~# /etc/init.d/conntrackd start
* You need to disable TCP window tracking!
* Add the following line to your /etc/sysctl.conf:
* net.netfilter.nf_conntrack_tcp_be_liberal = 1
* ...and run this to activate the setting: sysctl -g -p
* ERROR: conntrackd failed to start
[12:56] routerl.place6:~# sysctl
[12:56] routerl.placeb:~# sysctl net.netfilter.nf_conntrack_tcp_be_liberal=1
net.netfilter.nf_conntrack_tcp_be_liberal =1
[12:56] routerl.place6:~# /etc/init.d/conntrackd start
* Starting conntrackd ...
[ ok ]
[12:56] routerl.place6:~#

#2 - 01/02/2020 01:08 PM - Nico Schottelius

Added sync section, now getting an IPv6 exception:

[13:07] routerl.place6:~# vi /etc/conntrackd/conntrackd.conf
[13:07] routerl.place6:~# /etc/init.d/conntrackd restart
* Starting conntrackd ...
[Thu Jan 2 13:07:44 2020] (pid=5472) [ERROR] inet_pton(): IPv6 unsupported!
* start-stop-daemon: failed to start ' /usr/sbin/conntrackd'
C 88 3
* ERROR: conntrackd failed to start
[13:07] routerl.place6:~#

#3 - 01/02/2020 01:33 PM - Nico Schottelius

Seems like the code is in read_config.yy.c:

[13:32] line:conntrack-tools-1.4.5% grep "IPv6 unsupported" -r *
src/read_config_yy.y: dlog (LOG_ERR, "inet_pton(): IPv6 unsupported!");
[13:32] line:conntrack-tools-1.4.5%
Code blocks all look similar to

multicast_option : T_IPV6_ADDR T_IP
{

_ max_dedicated_links_reached();
int err;

err = inet_pton (AF_INET6, $2,
&conf.channel [conf.channel_num].u.mcast.in);

if (err == 0) {
dlog (LOG_WARNING, "%s is not a valid IPv6 address", $2);
break;

} else if (err < 0) {
dlog (LOG_ERR, "inet_pton(): IPv6 unsupported!");

exit (EXIT_FAILURE) ;

#4 - 01/02/2020 01:35 PM - Nico Schottelius
- Description updated
- Assignee changed from Nico Schottelius to Timothée Floure

- Priority changed from Normal to High

And config looks like this:

General {
HashSize 8192
HashLimit 65535

Syslog on
LogFile on

LockFile /var/lock/conntrackd.lock

UNIX {
Path /var/run/conntrackd.sock
Backlog 20

SocketBufferSize 262142
SocketBufferSizeMaxGrown 655355

# default debian service unit file is of Type=notify

Stats {
LogFile on

Sync {

Mode FTEFW {
ResendQueueSize 131072
PurgeTimeout 60
ACKWindowSize 300
DisableExternalCache Off

}

UDP Default {
IPv6_address fe80::do6d:6dff:fe33:e00
IPv6_Destination_Address fe80::21b:21ff:febc:7c80
Port 3780
Interface wlan0
Checksum on

#5 - 05/29/2020 09:03 AM - Timothée Floure

- Status changed from In Progress to Waiting

Is this still relevant? A lot of things changed since it has been opened.

#6 - 06/15/2020 09:31 AM - Timothée Floure
- Status changed from Waiting to New

- Priority changed from High to Low

Not a priority at the moment - moving to low.

#7 - 06/15/2020 11:04 AM - Nico Schottelius

- Status changed from New to Rejected

Not needed atm

redmine@ungleich.ch writes:
